﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="AdminControls" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint.ApplicationPages.Administration" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" Src="~/_controltemplates/ButtonSection.ascx" %>
<%@ Register TagPrefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="RH" Namespace="RH.Warmup.Web.UI" Assembly="$SharePoint.Project.AssemblyFullName$" %>

<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ConfigureWarmupJob.aspx.cs" Inherits="RH.Warmup.ConfigureWarmupJob" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">
</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
	<SharePoint:EncodedLiteral ID="EncodedLiteral1" runat="server" Text="<%$Resources:RH.Warmup, ApplicationPage_Title%>" EncodeMethod='HtmlEncode' />
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server">
	<SharePoint:EncodedLiteral ID="EncodedLiteral2" runat="server" Text="<%$Resources:RH.Warmup, ApplicationPage_Title%>" EncodeMethod='HtmlEncode' />
</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
	<table width="100%" class="propertysheet" cellspacing="0" cellpadding="0" border="0">
		<tr>
			<td class="ms-descriptionText">
				<asp:Label ID="LabelMessage" runat="server" EnableViewState="False" class="ms-descriptionText" />
			</td>
		</tr>
		<tr>
			<td class="ms-error">
				<asp:Label ID="LabelErrorMessage" runat="server" EnableViewState="False" /></td>
		</tr>
		<tr>
			<td class="ms-descriptionText">
				<asp:ValidationSummary ID="ValSummary" HeaderText="<%$SPHtmlEncodedResources:spadmin, ValidationSummaryHeaderText%>" DisplayMode="BulletList" ShowSummary="True" runat="server"></asp:ValidationSummary>
			</td>
		</tr>
	</table>
	<table border="0" cellspacing="0" cellpadding="0" width="100%">
		<wssuc:InputFormSection runat="server" TITLE="<%$Resources:RH.Warmup, ApplicationPage_WebApplication_Title%>">
			<template_description>
					<SharePoint:EncodedLiteral ID="EncodedLiteral3" runat="server" text="<%$Resources:RH.Warmup, ApplicationPage_WebApplication_Description1%>" EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
					<br /><br />
					<SharePoint:EncodedLiteral ID="EncodedLiteral4" runat="server" text="<%$Resources:RH.Warmup, ApplicationPage_WebApplication_Description2%>" EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
				</template_description>
			<template_inputformcontrols>
					<wssuc:InputFormControl runat="server">
						<Template_control>
							<asp:Repeater runat="server" ID="WarmupSettingsRepeater">
								<HeaderTemplate>
									<table border="0" width="100%" cellspacing="0" cellpadding="0">
										<tr>
											<th scope="col" id="ActivateWarmup" class="ms-vh2" style="padding-bottom: 4px"></th>
											<th scope="col" id="WebApplicationName" class="ms-vh2" style="padding-bottom: 4px">Name</th>
											<th scope="col" id="WarmupStartTime" class="ms-vh2" style="padding-bottom: 4px">Warmup Time</th>
											<th scope="col" id="WarmupSearch" class="ms-vh2" style="padding-bottom: 4px">Search</th>
											<th scope="col" id="SearchKeyword" class="ms-vh2" style="padding-bottom: 4px">Search Keyword</th>
											<th scope="col" id="EventLog" class="ms-vh2" style="padding-bottom: 4px">Eventlog</th>
										</tr>
								</HeaderTemplate>
								<FooterTemplate>
									</table>
								</FooterTemplate>
							</asp:Repeater>
						</Template_control>
					</wssuc:InputFormControl>
				</template_inputformcontrols>
		</wssuc:InputFormSection>
		<wssuc:InputFormSection runat="server" TITLE="<%$Resources:RH.Warmup, ApplicationPage_Download_Title%>">
			<template_description>
				<SharePoint:EncodedLiteral ID="EncodedLiteral5" runat="server" text="<%$Resources:RH.Warmup, ApplicationPage_WebApplication_Description3%>" EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
				<br /><br />
				<SharePoint:EncodedLiteral ID="EncodedLiteral6" runat="server" text="<%$Resources:RH.Warmup, ApplicationPage_WebApplication_Description4%>" EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
			</template_description>
			<template_inputformcontrols>
				<wssuc:InputFormControl runat="server">
				<Template_control>
						<asp:HyperLink runat="server" ID="DownloadBatch" NavigateUrl="/_admin/RH.Warmup/DownloadBatch.aspx">
							<SharePoint:EncodedLiteral ID="EncodedLiteral7" runat="server" text="<%$Resources:RH.Warmup, ApplicationPage_WebApplication_DownloadLink%>" EncodeMethod='HtmlEncodeAllowSimpleTextFormatting'/>
						</asp:HyperLink>
				</Template_control>
				</wssuc:InputFormControl>
			</template_inputformcontrols>
		</wssuc:InputFormSection>
		<wssuc:ButtonSection runat="server">
			<template_buttons>
					<asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="BtnSubmit_Click" Text="<%$Resources:wss,multipages_okbutton_text%>" id="BtnSubmit" accesskey="<%$Resources:wss,okbutton_accesskey%>" />
				</template_buttons>
		</wssuc:ButtonSection>
		<tr>
			<td colspan="2" class="ms-descriptiontext ms-inputformdescription">
				<asp:Label runat="server" ID="ProduktVersion"></asp:Label>
			</td>
		</tr>
	</table>
</asp:Content>
